Subject: RE: Rules for message transmission and retransmission

From: "Bernie Volz (EUD)" <[email-masked]>
Date: Wed, 18 Jul 2001 17:33:40 -0500

Regarding the transmission rules, I wasn't attempting to change them. Sorry
for my error - I missed the case where the Reconfigure-Init is sent via the
Relay. It should be added. If that revised text is desired, let me know.

-----Original Message-----
From: Ted Lemon [mailto:[email-masked]]
Sent: Wednesday, July 18, 2001 4:43 PM
To: DHCPv6 discussion list
Subject: Re: Rules for message transmission and retransmission 

> One statement that we might want to modify slightly is "In any case, timeout
> processing MUST be accurate to at least 500 milliseconds." As few operating
> systems are truely real-time (this is probably more of a semantics issue),
> it may not be possible to honor this requirement. I know what you want, but
> am not sure how to say it better so perhaps it is a non-issue.

Oops, I hadn't intended to place a real-time requirement on the
client.   What I intended here is just that the client application
should store timeouts with at least 500ms granularity, so as to honor
some of the defaults defined in section 7.

> The client MAY transmit messages to a server directly if it has an address
> of sufficient scope to communicate with the server and the server has
> previously communicated to the client that it is allowed to do so via
> the Server unicast option (Section 18.10). Otherwise, the client MUST
> transmit all of its messages to the All DHCP Agents multicast address.

Actually, we can't do this - certain client messages MUST be
transmitted through the relay, and there is already language in the
draft stating this requirement (IIRC!).

			       _MelloN_

---

From: Jim Bound <[email-masked]>
Date: Thu, 19 Jul 2001 00:36:38 -0400 (EDT)

Hmmmm I would never advise a user to do reconfigure-init thru relay.
I believe all reconfigure-inits MUST come from servers?

/jim